メインコンテンツへスキップ
GET
/
search
/
research
/
papers
論文を検索
curl --request GET \
  --url https://api.firecrawl.dev/v2/search/research/papers \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.firecrawl.dev/v2/search/research/papers"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.firecrawl.dev/v2/search/research/papers', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "results": [
    {
      "abstract": "We show that diffusion models can achieve image sample quality superior to the current state-of-the-art generative models...",
      "ids": {
        "arxiv": [
          "2105.05233"
        ]
      },
      "paperId": "2014215642691656232",
      "primaryId": "arxiv:2105.05233",
      "score": 0.0163934,
      "title": "Diffusion Models Beat GANs on Image Synthesis"
    }
  ],
  "success": true
}
トピック、手法、ベンチマーク、著者、またはカテゴリで論文を検索できます。結果には、正規のpaperId、推奨されるprimaryId、ソースID、タイトル、要旨、スコア、および任意のランキングシグナルが含まれます。 ワークフローの概要については、Research Index guideをご覧ください。

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

クエリパラメータ

query
string
必須

自然言語による論文検索クエリ。

Minimum string length: 1
k
integer
デフォルト:40

返すランキング済み論文の最大件数。

必須範囲: 1 <= x <= 500
authors
string

著者名の部分文字列で絞り込むフィルター。複数回指定するか、カンマ区切りの値を渡します。すべてのフィルターに一致する必要があります。

categories
string

論文カテゴリで絞り込むフィルター。複数回指定するか、カンマ区切りの値を渡します。すべてのフィルターに一致する必要があります。

from
string<date>

作成日/更新日の下限値(この日付を含む)。

to
string<date>

作成日/更新日の上限値(この日付を含む)。

レスポンス

ランキングされた論文の検索結果。

results
object[]
必須
success
boolean
必須